### Hierarchy

- NavigationService
  - MockNavigationService
  - WindowService
  - XFNavigationService

## Index

### Constructors

- constructor

### Properties

- app

### Accessors

- location
- title

### Methods

- alert
- back
- confirm
- navigate
- notify
- openPage
- openWindow
- refresh
- registerNavigationHook
- remove

## Constructors

### constructor

- new NavigationService(app: App): NavigationService

- - Defined in src/services/NavigationService.ts:73

  #### Parameters

  - ##### app: App

  #### Returns NavigationService

## Properties

### app

app: App

- Defined in src/services/NavigationService.ts:75

## Accessors

### location

- get location(): AtomUri
- set location(v: AtomUri): any

- - Defined in src/services/NavigationService.ts:149

  #### Returns AtomUri

- - Defined in src/services/NavigationService.ts:150

  #### Parameters

  - ##### v: AtomUri

  #### Returns any

### title

- get title(): string
- set title(v: string): any

- - Defined in src/services/NavigationService.ts:146

  #### Returns string

- - Defined in src/services/NavigationService.ts:147

  #### Parameters

  - ##### v: string

  #### Returns any

## Methods

### Abstract alert

- alert(message: string | FormattedString, title?: string): Promise<any>

- - Defined in src/services/NavigationService.ts:79

  #### Parameters

  - ##### message: string | FormattedString

  - ##### Optional title: string

  #### Returns Promise<any>

### Abstract back

- back(): void

- - Defined in src/services/NavigationService.ts:154

  #### Returns void

### Abstract confirm

- confirm(message: string | FormattedString, title?: string): Promise<boolean>

- - Defined in src/services/NavigationService.ts:80

  #### Parameters

  - ##### message: string | FormattedString

  - ##### Optional title: string

  #### Returns Promise<boolean>

### Abstract navigate

- navigate(url: string): void

- - Defined in src/services/NavigationService.ts:152

  #### Parameters

  - ##### url: string

  #### Returns void

### Abstract notify

- notify(message: string | FormattedString, title?: string, type?: NotifyType, delay?: number): void

- - Defined in src/services/NavigationService.ts:144

  #### Parameters

  - ##### message: string | FormattedString

  - ##### Optional title: string

  - ##### Optional type: NotifyType

  - ##### Optional delay: number

  #### Returns void

### openPage

- openPage<T>(pageName: string | any, viewModelParameters?: INameValuePairs, options?: IPageOptions): Promise<T>

- - Defined in src/services/NavigationService.ts:88

  #### Type parameters

  - #### T

  #### Parameters

  - ##### pageName: string | any

    node style package url or a class

  - ##### Optional viewModelParameters: INameValuePairs

    key value pair that will be injected on ViewModel when created

  - ##### Optional options: IPageOptions

  #### Returns Promise<T>

### Protected Abstract openWindow

- openWindow<T>(url: AtomUri, options: IPageOptions): Promise<T>

- - Defined in src/services/NavigationService.ts:188

  #### Type parameters

  - #### T

  #### Parameters

  - ##### url: AtomUri

  - ##### options: IPageOptions

  #### Returns Promise<T>

### Abstract refresh

- refresh(): void

- - Defined in src/services/NavigationService.ts:156

  #### Returns void

### registerNavigationHook

- registerNavigationHook(callback: navigateCallback): IDisposable

- - Defined in src/services/NavigationService.ts:179

  #### Parameters

  - ##### callback: navigateCallback

  #### Returns IDisposable

### remove

- remove(view: object, force?: boolean): Promise<boolean>

- - Defined in src/services/NavigationService.ts:165

  Sends signal to remove window/popup/frame, it will not immediately remove, because it will identify whether it can remove or not by displaying cancellation warning. Only if there is no cancellation warning or user chooses to force close, it will not remove.

  #### Parameters

  - ##### view: object

  - ##### Optional force: boolean

  #### Returns Promise<boolean>

  true if view was removed successfully

Generated using TypeDoc